Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.orkesta.com.tr/llms.txt

Use this file to discover all available pages before exploring further.

✏️ Ödeme Ürün Kırılımı Güncelleme

Ödemeye ait ürün kırılımlarına ait pazaryeri firmaların veya ücretin güncellenmesi. PUT https://api-test.fincraft.com.tr/api/v1/payments/product

Request Body

{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "subMerchantMemberId": "MERCHANT_001",
  "subMerchantPrice": 95.50
}

Request Parametreleri

ParametreTipZorunluValidationAçıklama
idStringEvet@NotBlankGüncellenecek ürün kırılımının benzersiz ID’si (UUID format)
subMerchantMemberIdStringHayır-Alt bayi üye ID’si
subMerchantPriceDoubleHayır-Alt bayinin alacağı tutar

Response Body

{
    "response": {
        "name": "string",
        "externalId": "string",
        "price": 100.0,
        "subMerchantPrice": 45.0,
        "status": "PENDING",
        "commissionRate": 55.00,
        "id": "UUID"
    }
}

cURL Örneği

curl -X PUT https://api-test.fincraft.com.tr/api/v1/payments/product \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "subMerchantMemberId": "MERCHANT_001",
    "subMerchantPrice": 95.50
  }'